package com.ynet.life.memcached;

import com.danga.MemCached.MemCachedClient;
import com.danga.MemCached.SockIOPool;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.TEntity;
import com.ynet.life.base.Trace;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.util.Properties;

/* loaded from: com_ynet_life_memcached.jar:com/ynet/life/memcached/LifeMemcachedSessionService.class */
public class LifeMemcachedSessionService {
    private SockIOPool pool;
    private String serverlists = "serverlist";
    private String poolName = "poolname";
    private String logName = "LifeMemcachedSessionService";
    private static LifeMemcachedSessionService instance = null;
    private static MemCachedClient mc = null;

    public static synchronized LifeMemcachedSessionService getInstance() {
        if (instance == null) {
            instance = new LifeMemcachedSessionService();
        }
        return instance;
    }

    private LifeMemcachedSessionService() {
        this.pool = null;
        String memcachedPath = TEntity.memcachedPath;
        String rootPath = LifeStandard.getRootPath();
        FileInputStream in = null;
        try {
            String path = String.valueOf(rootPath) + "WEB-INF" + memcachedPath;
            in = new FileInputStream(path);
        } catch (FileNotFoundException e) {
            Trace.logError(this.logName, e.getMessage(), e);
        }
        Properties props = new Properties();
        try {
            props.load(in);
            String serverList = props.getProperty(this.serverlists);
            String poolNames = props.getProperty(this.poolName);
            String[] servers = serverList.split(",");
            Integer[] numArr = {3, 3, 2};
            this.pool = SockIOPool.getInstance(poolNames);
            this.pool = SockIOPool.getInstance();
            this.pool.setServers(servers);
            this.pool.setFailover(true);
            this.pool.setInitConn(10);
            this.pool.setMinConn(5);
            this.pool.setMaxConn(250);
            this.pool.setMaxIdle(21600000L);
            this.pool.setMaintSleep(30L);
            this.pool.setNagle(false);
            this.pool.setSocketTO(3000);
            this.pool.setSocketConnectTO(0);
            this.pool.setAliveCheck(true);
            this.pool.initialize();
            Trace.log(this.logName, "memcached服务器初始化成功!");
        } catch (Exception e2) {
            Trace.log(this.logName, "memcached服务器初始化失败!");
            e2.printStackTrace();
        }
    }

    public synchronized MemCachedClient getMemCachedClient() {
        if (mc == null) {
            mc = new MemCachedClient();
        }
        return mc;
    }

    protected void finalize() {
        if (this.pool != null) {
            this.pool.shutDown();
        }
    }

    public static void main(String[] args) {
        getInstance();
    }
}
